- Qt 5.5
- Qt3D Module
- C++ Classes
- QAspectManager
- Qt 5.5.1 Reference Documentation

# QAspectManager Class

(Qt3D::QAspectManager)

Inherits: |

- List of all members, including inherited members

## Public Functions

| QAspectManager(QObject * parent = 0)
| ~QAspectManager()
bool | isShuttingDown() const

## Public Slots

const QList<QAbstractAspect *> & | aspects() const
QChangeArbiter * | changeArbiter() const
QVariantMap | data() const
void | exec()
void | initialize()
QAbstractAspectJobManager * | jobManager() const
void | quit()
void | registerAspect(Qt3D::QAbstractAspect * aspect)
QServiceLocator * | serviceLocator() const
void | setData(const QVariantMap & data)
void | setRootEntity(Qt3D::QEntity * root)
void | shutdown()

## Member Function Documentation

### QAspectManager::QAspectManager(QObject * parent = 0)

### QAspectManager::~QAspectManager()

### `[slot]` const QList<QAbstractAspect *> & QAspectManager::aspects() const

### `[slot]` QChangeArbiter * QAspectManager::changeArbiter() const

### `[slot]` QVariantMap QAspectManager::data() const

See also setData().

### `[slot]` void QAspectManager::exec()

### `[slot]` void QAspectManager::initialize()

### bool QAspectManager::isShuttingDown() const

### `[slot]` QAbstractAspectJobManager * QAspectManager::jobManager() const

### `[slot]` void QAspectManager::quit()

### `[slot]` void QAspectManager::registerAspect(Qt3D::QAbstractAspect * aspect)

### `[slot]` QServiceLocator * QAspectManager::serviceLocator() const

### `[slot]` void QAspectManager::setData(const QVariantMap & data)

See also data().

### `[slot]` void QAspectManager::setRootEntity(Qt3D::QEntity * root)

### `[slot]` void QAspectManager::shutdown()